Bug 170551 - [PATCH] x11/sterm: update to 0.2.1
Summary: [PATCH] x11/sterm: update to 0.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-12 11:10 UTC by koobs
Modified: 2012-08-14 11:40 UTC (History)
1 user (show)

See Also:


Attachments
sterm-0.2.1.patch (974 bytes, patch)
2012-08-12 11:10 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-08-12 11:10:01 UTC
- Update to 0.2.1
- Remove LICENSE_FILE for those in port.licenses.db.mk

==[QA]==

port test clean
redports build: https://redports.org/buildarchive/20120812015126-30614/

Note: devel/ncurses on CLANG has issues, can sterm work
with base ncurses library? Worth an OPTION here?

Port maintainer (kitche@kitchetech.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-08-12 11:10:10 UTC
Maintainer of x11/sterm,

Please note that PR ports/170551 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170551

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-08-12 11:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 kitche 2012-08-12 14:31:02 UTC
I agree with  the update
On Aug 12, 2012 5:10 AM, "Edwin Groothuis" <edwin@freebsd.org> wrote:

> Maintainer of x11/sterm,
>
> Please note that PR ports/170551 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170551
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-08-12 20:46:00 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Guido Falsi freebsd_committer 2012-08-14 11:06:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 6 Guido Falsi freebsd_committer 2012-08-14 11:37:46 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2012-08-14 11:37:52 UTC
Author: madpilot
Date: Tue Aug 14 10:37:38 2012
New Revision: 302515
URL: http://svn.freebsd.org/changeset/ports/302515

Log:
  - Update to 0.2.1
  - Remove LICENSE_FILE for those in port.licenses.db.mk
  
  PR:		ports/170551
  Submitted by:	Kubilay Kocak <koobs.freebsd@gmail.com>
  Approved by:	Matthew Donovan <kitche@kitchetech.com> (maintainer)
  Approved by:	crees, tabthorpe (mentors, implicit)

Modified:
  head/x11/sterm/Makefile   (contents, props changed)
  head/x11/sterm/distinfo   (contents, props changed)

Modified: head/x11/sterm/Makefile
==============================================================================
--- head/x11/sterm/Makefile	Tue Aug 14 10:18:07 2012	(r302514)
+++ head/x11/sterm/Makefile	Tue Aug 14 10:37:38 2012	(r302515)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sterm
-PORTVERSION=	0.2
+PORTVERSION=	0.2.1
 CATEGORIES=	x11
 MASTER_SITES=	http://dl.suckless.org/st/
 DISTNAME=	st-${PORTVERSION}
@@ -15,7 +15,6 @@ MAINTAINER=	kitche@kitchetech.com
 COMMENT=	A simple X terminal
 
 LICENSE=	BSD
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
 RUN_DEPENDS=	${LOCALBASE}/share/misc/terminfo.db:${PORTSDIR}/devel/ncurses
 

Modified: head/x11/sterm/distinfo
==============================================================================
--- head/x11/sterm/distinfo	Tue Aug 14 10:18:07 2012	(r302514)
+++ head/x11/sterm/distinfo	Tue Aug 14 10:37:38 2012	(r302515)
@@ -1,2 +1,2 @@
-SHA256 (st-0.2.tar.gz) = 80e68ee5442188becaf02e2197fe93d0b53c78d770d87cef2e7496ee6ae7383f
-SIZE (st-0.2.tar.gz) = 19421
+SHA256 (st-0.2.1.tar.gz) = 4bf5817483d3274fae9a205e692b308a5fd0cfcb55ed9f3761d2c564b4f7d897
+SIZE (st-0.2.1.tar.gz) = 19804
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"